com.holonplatform.vaadin.components

## Interface PropertyListing

- All Superinterfaces:
    com.vaadin.server.ClientConnector, com.vaadin.ui.Component, com.vaadin.shared.Connector, ItemListing<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property>, ItemSet, Selectable<com.holonplatform.core.property.PropertyBox>, Serializable, com.vaadin.server.Sizeable

      public interface PropertyListing
      extends ItemListing<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property>

  An `ItemListing` component using `Property`s as item properties and `PropertyBox` as item data type.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.ItemListing

      `ItemListing.CellStyleGenerator<T,P>, ItemListing.ColumnAlignment, ItemListing.ItemClickListener<T,P>, ItemListing.ItemDescriptionGenerator<T>, ItemListing.ItemDetailsGenerator<T>, ItemListing.PropertyReorderListener<P>, ItemListing.PropertyResizeListener<P>, ItemListing.PropertyVisibilityListener<P>, ItemListing.RowStyleGenerator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.ItemSet

      `ItemSet.ItemCaptionGenerator<ITEM>, ItemSet.ItemIconGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.Selectable

      `Selectable.SelectionEvent<T>, Selectable.SelectionListener<T>, Selectable.SelectionMode`

    - ### Nested classes/interfaces inherited from interface com.vaadin.ui.Component

      `com.vaadin.ui.Component.ErrorEvent, com.vaadin.ui.Component.Event, com.vaadin.ui.Component.Focusable, com.vaadin.ui.Component.Listener`

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.ClientConnector

      `com.vaadin.server.ClientConnector.AttachEvent, com.vaadin.server.ClientConnector.AttachListener, com.vaadin.server.ClientConnector.ConnectorErrorEvent, com.vaadin.server.ClientConnector.DetachEvent, com.vaadin.server.ClientConnector.DetachListener`

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.Sizeable

      `com.vaadin.server.Sizeable.Unit`

  - ### Field Summary

    - ### Fields inherited from interface com.vaadin.server.Sizeable

      `SIZE_UNDEFINED, UNITS_CM, UNITS_EM, UNITS_EX, UNITS_INCH, UNITS_MM, UNITS_PERCENTAGE, UNITS_PICAS, UNITS_PIXELS, UNITS_POINTS`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder` | `builder(Iterable<P> properties)` Builder to create an `PropertyListing` instance.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder` | `gridBuilder(Iterable<P> properties)` Builder to create an `PropertyListing` instance using a `Grid` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.TablePropertyListingBuilder` | `tableBuilder(Iterable<P> properties)` Builder to create an `PropertyListing` instance using a `Table` as backing component.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ItemListing

      `addItem, clear, commit, discard, getItem, getPropertyColumns, isBuffered, isFooterVisible, isItemDetailsVisible, refreshItem, removeItem, scrollToItem, scrollToTop, selectAll, setFooterVisible, setItemDetailsVisible, setPropertyColumnVisible, setSelectionMode, sort`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ItemSet

      `refresh`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.Selectable

      `addSelectionListener, deselect, deselectAll, getFirstSelectedItem, getSelectedItems, getSelectionMode, isSelected, select`

    - ### Methods inherited from interface com.vaadin.ui.Component

      `addListener, addStyleName, attach, getCaption, getDescription, getIcon, getId, getLocale, getParent, getPrimaryStyleName, getStyleName, getUI, isEnabled, isReadOnly, isVisible, readDesign, removeListener, removeStyleName, setCaption, setEnabled, setIcon, setId, setParent, setPrimaryStyleName, setReadOnly, setStyleName, setVisible, writeDesign`

    - ### Methods inherited from interface com.vaadin.server.ClientConnector

      `addAttachListener, addDetachListener, beforeClientResponse, detach, encodeState, getErrorHandler, getExtensions, getRpcManager, getStateType, handleConnectorRequest, isAttached, isConnectorEnabled, markAsDirty, markAsDirtyRecursive, removeAttachListener, removeDetachListener, removeExtension, requestRepaint, requestRepaintAll, retrievePendingRpcCalls, setErrorHandler`

    - ### Methods inherited from interface com.vaadin.shared.Connector

      `getConnectorId`

    - ### Methods inherited from interface com.vaadin.server.Sizeable

      `getHeight, getHeightUnits, getWidth, getWidthUnits, setHeight, setHeight, setHeightUndefined, setSizeFull, setSizeUndefined, setWidth, setWidth, setWidthUndefined`

- - ### Method Detail

    - #### builder

          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder builder(Iterable<P> properties)

      Builder to create an `PropertyListing` instance.

      By default, a `gridBuilder(Iterable)` is returned.

      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        `PropertyListing` builder

    - #### gridBuilder

          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder gridBuilder(Iterable<P> properties)

      Builder to create an `PropertyListing` instance using a `Grid` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Grid `PropertyListing` builder

    - #### tableBuilder

          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.TablePropertyListingBuilder tableBuilder(Iterable<P> properties)

      Builder to create an `PropertyListing` instance using a `Table` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Table `PropertyListing` builder

Copyright © 2017 The Holon Platform. All rights reserved.